------------------------------------------------------------------------------------------
-- GlobalEN file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
function CreateLocalizationInfo()
	Strings = {};

	------------------------------------------------------------------------------------------
	-- English --
	------------------------------------------------------------------------------------------
	Strings.PluginName = "AltHolic";
	Strings.PluginText = "By Homeopatix";
	Strings.PluginEscEnable = "Escape key Activated";
	Strings.PluginEscDesable = "Escape key Desactivated";
	Strings.PluginClear = "Delete ";
	Strings.PluginClearAll = "Delete all entries";
	------------------------------------------------------------------------------------------
	-- help --
	------------------------------------------------------------------------------------------
	Strings.PluginHelp1 = "\n\nList of all commands:\n";
	Strings.PluginHelp2 = "/Alt help - Show the help window.\n";
	Strings.PluginHelp3 = "/Alt show - Show the window.\n";
	Strings.PluginHelp4 = "/Alt hide - Hide the window.\n";
	Strings.PluginHelp5 = "/Alt esc - Activate or deactivate the Escape key.\n";
	Strings.PluginHelp6 = "/Alt clear all - Delete all entries.\n";
	Strings.PluginHelp7 = "/Alt clear CharacterName - Efface CharacterName.\n";
	Strings.PluginCloseButton = "Close window";
	Strings.PluginVaultSaved = "Vault Saved";
	Strings.PluginBagSaved = "BackPack Saved";
	Strings.PluginSharedStorageSaved = "SharedStockage saved";
	Strings.PluginISeeYou = "I See You";
	------------------------------------------------------------------------------------------
	-- search --
	------------------------------------------------------------------------------------------
	Strings.PluginSearch = "Search Window";
	Strings.PluginSearch1 = "Found : ";
	Strings.PluginSearch2 = "Search";
	Strings.PluginSearch3 = "BackPack";
	Strings.PluginSearch4 = "Vault";
	Strings.PluginSearch5 = "Shared Storage";
	Strings.PluginSearch6 = "Objects";
	Strings.PluginSearch7 = "Wallet";
	------------------------------------------------------------------------------------------
	-- help for the search window --
	------------------------------------------------------------------------------------------
	Strings.PluginLabelHelp = "Display Help";
	Strings.PluginHelp1 = "\n\nYou must enter at least two characters\n\n";
	Strings.PluginHelp2 = "You can do a full search by typing **\n\n";
	Strings.PluginHelp3 = "You can do a search by entering the name of an object\n\n";
	Strings.PluginHelp4 = "Capitalize at the beginning of the word if the search name is the name of the object\n\n";
	Strings.PluginHelp5 = "If you don't capitalize it searches in all objects\n\n";
	Strings.PluginHelp6 = "You can perform a special search with for example a*\n";
	Strings.PluginHelp7 = "which will return all the object that contains the letter a\n";
	Strings.PluginButtonHelpWindow = "Close Help";
	Strings.PluginTitreHelpWindow = "Help for the Search";
	------------------------------------------------------------------------------------------
	-- vault --
	------------------------------------------------------------------------------------------
	Strings.PluginVault1 = "Vault of ";
	Strings.PluginVault2 = "Vault space : ";
	Strings.PluginVault3 = "You need to open your safe to view what's inside";
	Strings.PluginSharedStorage1 = "Shared Storage";
	Strings.PluginSharedStorage2 = "SharedStorage space ";
	Strings.PluginSharedStorage3 = "You need to open your shared storage to view what's inside";
	------------------------------------------------------------------------------------------
	-- equipement --
	------------------------------------------------------------------------------------------
	Strings.PluginEquipement1 = "Equipment of ";
	Strings.PluginEquipement2 = "Equipment missing";
	------------------------------------------------------------------------------------------
	-- cash window --
	------------------------------------------------------------------------------------------
	Strings.PluginCashWindow1 = "Cash displayer for all characters";
	Strings.PluginCashWindow2 = "Total cash ";
	Strings.PluginCashWindow3 = "Session cash";
	Strings.PluginCashWindow4 = "Won ";
	Strings.PluginCashWindow5 = "Spent ";
	Strings.PluginCashWindow6 = "Total ";
	------------------------------------------------------------------------------------------
	-- wallet window --
	------------------------------------------------------------------------------------------
	Strings.PluginWalletWindow1 = "Shared account";
	Strings.PluginWalletWindow2 = "Number of objects in the wallet";
	Strings.PluginWalletWindow3 = "Wallet of ";
	Strings.PluginWalletWindow4 = "Wallet not saved yet, Please connect that character";
	------------------------------------------------------------------------------------------
	-- backpack --
	------------------------------------------------------------------------------------------
	Strings.PluginBag1 = "BackPack of ";
	Strings.PluginBag2 = "BackPack space : ";
	------------------------------------------------------------------------------------------
	-- add new --
	------------------------------------------------------------------------------------------
	Strings.PluginAddNew = "Add new account";
	Strings.PluginAddNew2 = "Add new";
	------------------------------------------------------------------------------------------
	-- vocations --
	------------------------------------------------------------------------------------------
	Strings.PluginVocation1 = "Explorer";
	Strings.PluginVocation2 = "Tinker";
	Strings.PluginVocation3 = "YeoMan";
	Strings.PluginVocation4 = "Historian";
	Strings.PluginVocation5 = "ArmsMan";
	Strings.PluginVocation6 = "WoodsMan";
	Strings.PluginVocation7 = "Armourer";
	------------------------------------------------------------------------------------------
	-- gendre window --
	------------------------------------------------------------------------------------------
	Strings.PluginGendreText = "Define the gender";
	Strings.PluginGendreText1 = "Man";
	Strings.PluginGendreText2 = "Woman";
	------------------------------------------------------------------------------------------
	-- option window --
	------------------------------------------------------------------------------------------
	Strings.PluginOptionsText = "Options AltHolic";
	Strings.PluginOption1 = "Display the Load and Save modifications";
	Strings.PluginOption2 = " Display Notifications";
	Strings.PluginOption3 = "Display session cash";
	Strings.PluginOption4 = " Display";
	Strings.PluginOption5 = "Show class bags";
	Strings.PluginOption6 = "Define gender";
	Strings.PluginOptionValidate = "Validate Changes";
	Strings.PluginOptionShowWindow = "Display the options Window";
	Strings.PluginOptionNotificationsDeactivated = "Notifications deactivated";
	Strings.PluginOptionNotificationsActivated = "Notifications activated";
	Strings.PluginOptionSpentCashActivated = "Spent cash display deactivated";
	Strings.PluginOptionSpentCashDeactivated = "Spent cash display activated";
end