------------------------------------------------------------------------------------------
-- UIshowEquip file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------

centerLabelCash2 = {};
centerLabelCash3 = {};
centerLabelCash4 = {};
centerLabelCash5 = {};
centerLabelCash6 = {};
centerLabelCash7 = {};
------------------------------------------------------------------------------------------
-- create the equipment window
------------------------------------------------------------------------------------------
function CreateUIShowEquip(namePlayerToshow, alignement)	
	UIShowEquip=Turbine.UI.Lotro.GoldWindow(); 
	UIShowEquip:SetSize(600,500); 
	UIShowEquip:SetText(Strings.PluginEquipement1 .. tostring(namePlayerToshow)); 
	UIShowEquip:SetPosition((Turbine.UI.Display:GetWidth()-UIShowEquip:GetWidth())/2,(Turbine.UI.Display:GetHeight()-UIShowEquip:GetHeight())/2); 

	if(PlayerDatas[namePlayerToshow].align == 1)then
		UIShowEquip.Message=Turbine.UI.Label(); 
		UIShowEquip.Message:SetParent(UIShowEquip); 
		UIShowEquip.Message:SetSize(150,10); 
		UIShowEquip.Message:SetPosition(UIShowEquip:GetWidth()/2 - 75, UIShowEquip:GetHeight() - 20); 
		UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowEquip.Message:SetText(Strings.PluginText); 
		UIShowEquip:SetZOrder(10);
		UIShowEquip:SetWantsKeyEvents(true);
		UIShowEquip:SetVisible(false);

			DurabilitySlots = { 
				0x41007eed, -- head
				0x41007eee, -- shoulder
				0x41007ee9, -- back
				0x41007ef0, -- chest
				0x41007ef2, -- gant
				0x41007ef1, -- legs
				0x41007ef5, -- shoes
				0x41007eec, -- distance
				0x41007efb, -- outils 
				0x410e8680, -- class
				0x41007ef6, -- oreille droite
				0x41007ef7, -- oreille gauche
				0x41007eef, -- collier
				0x41007ef8, -- bracelet droite
				0x41007ef9, -- brcelet gauche
				0x41007ef3, -- bague droite
				0x41007ef4, -- bague gauche
				0x41007efa, -- pocket
				0x41007eea, -- weapon
				0x41007eeb -- shield
			};

			Button = { };

			local posy = 40 ;
			local posx = 300;
			for j=1, 20 do
				Button[j] = Turbine.UI.Label(); 
				Button[j]:SetParent( UIShowEquip );
				Button[j]:SetPosition(posx-1, posy-1);
				Button[j]:SetSize( 42, 42 );
				Button[j]:SetVisible(true);
				Button[j]:SetBackground(DurabilitySlots[j]);
				Button[j]:SetZOrder(-1);

				posy = posy + 42;
				if(j == 10)then
					posx = 20;
					posy = 40;
				end
			end

			local playerLvl = PlayerDatas[namePlayerToshow].lvl;
			nbrLines = 0;
			for i in pairs(PlayerEquipement[namePlayerToshow]) do
				if(i == "Head")then posx = 305 ; posy = 45 ; end
				if(i == "Shoulder")then posx = 305 ; posy = 87 ; end
				if(i == "Back")then posx = 305 ; posy = 129 ; end
				if(i == "Chest")then posx = 305 ; posy = 171 ; end
				if(i == "Gloves")then posx = 305 ; posy = 213 ; end
				if(i == "Legs")then posx = 305 ; posy = 255 ; end
				if(i == "Boots")then posx = 305 ; posy = 297 ; end
				if(i == "RangedWeapon")then posx = 305 ; posy = 339 ; end
				if(i == "CraftTool")then posx = 305 ; posy = 381 ; end
				if(i == "ClassE")then posx = 305 ; posy = 423 ; end

				if(i == "Earring1")then posx = 25 ; posy = 45 ; end
				if(i == "Earring2")then posx = 25 ; posy = 87 ; end
				if(i == "Necklace")then posx = 25 ; posy = 129 ; end
				if(i == "Bracelet1")then posx = 25 ; posy = 171 ; end
				if(i == "Bracelet2")then posx = 25 ; posy = 213 ; end
				if(i == "Ring1")then posx = 25 ; posy = 255 ; end
				if(i == "Ring2")then posx = 25 ; posy = 297 ; end
				if(i == "Pocket")then posx = 25 ; posy = 339 ; end
				if(i == "PrimaryWeapon")then posx = 25 ; posy = 381 ; end
				if(i == "Shield")then posx = 25 ; posy = 423 ; end
				
				if(PlayerEquipement[namePlayerToshow][i].N ~= nil)then
					itemTmp = Turbine.UI.Control();
					itemTmp:SetParent( UIShowEquip );
					itemTmp:SetPosition(posx, posy);
					itemTmp:SetSize( 32, 32 );
					itemTmp:SetBackground(PlayerEquipement[namePlayerToshow][i].Q);
					itemTmp:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					itemTmp:SetVisible( true );
					itemTmp:SetMouseVisible( true );

					itemTmp1 = Turbine.UI.Control();
					itemTmp1:SetParent( UIShowEquip );
					itemTmp1:SetPosition(posx, posy);
					itemTmp1:SetSize( 32, 32 );
					itemTmp1:SetBackground(PlayerEquipement[namePlayerToshow][i].B);
					itemTmp1:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					itemTmp1:SetVisible( true );
		--[[
					itemTmp2 = Turbine.UI.Control();
					itemTmp2:SetParent( UIShowEquip );
					itemTmp2:SetPosition(posx, posy);
					itemTmp2:SetSize( 32, 32 );
					
					if(PlayerEquipement[namePlayerToshow][i].U == 0)then
						if(playerLvl < 50)then -- define normal background color from quality
							if(PlayerEquipement[namePlayerToshow][i].QA == 0)then
								itemTmp2:SetBackground(0x41000001);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 1)then
								itemTmp2:SetBackground(0x41000005);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 2)then
								itemTmp2:SetBackground(0x41000003);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 3)then
								itemTmp2:SetBackground(0x41000004);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 4)then
								itemTmp2:SetBackground(0x41000002);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 5)then
								itemTmp2:SetBackground(0x41000001);
							end
						else -- define legendary border
							if(PlayerEquipement[namePlayerToshow][i].QA == 0)then
								itemTmp2:SetBackground(0x410EA2A0);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 1)then
								itemTmp2:SetBackground(0x410EA2A2);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 2)then
								itemTmp2:SetBackground(0x410EA2A1);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 3)then
								itemTmp2:SetBackground(0x410EA255);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 4)then
								itemTmp2:SetBackground(0x410EA2A1);
							end
							if(PlayerEquipement[namePlayerToshow][i].QA == 5)then
								itemTmp2:SetBackground(0x41000001);
							end
						end
					else
						itemTmp2:SetBackground(PlayerEquipement[namePlayerToshow][i].U);
					end
					itemTmp2:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					itemTmp2:SetVisible( true );
		]]--

					itemTmp3 = Turbine.UI.Control();
					itemTmp3:SetParent( UIShowEquip );
					itemTmp3:SetPosition(posx, posy);
					itemTmp3:SetSize( 32, 32 );
					itemTmp3:SetBackground(PlayerEquipement[namePlayerToshow][i].S);
					itemTmp3:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					itemTmp3:SetVisible( true );

					itemTmp4 = Turbine.UI.Control();
					itemTmp4:SetParent( UIShowEquip );
					itemTmp4:SetPosition(posx, posy);
					itemTmp4:SetSize( 32, 32 );
					itemTmp4:SetBackground(PlayerEquipement[namePlayerToshow][i].I);
					itemTmp4:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					itemTmp4:SetVisible( true );

					if(PlayerName == namePlayerToshow)then
						local selectedRecipeItem = OfflineItemInfoControl();
						itemTmp4.selectedRecipeItem = selectedRecipeItem;
						selectedRecipeItem:SetParent(UIShowEquip);
						selectedRecipeItem:SetPosition(posx - 2, posy - 2);
						itemTmp4.selectedRecipeItem:SetItem(PlayerEquipement[namePlayerToshow][i].iteminfo, PlayerEquipement[namePlayerToshow][i].I, PlayerEquipement[namePlayerToshow][i].B, 1);
						--selectedRecipeItem:SetBackColor( Turbine.UI.Color.Lime );
					else
						DisplayLabelEquipment(i,  posx, posy, namePlayerToshow, itemTmp4, PlayerEquipement[namePlayerToshow][i])
					end

					UIShowEquip.Message6=Turbine.UI.Label(); 
					UIShowEquip.Message6:SetParent(UIShowEquip); 
					UIShowEquip.Message6:SetSize(230, 38); 
					UIShowEquip.Message6:SetPosition(posx + 40, posy -2); 
					UIShowEquip.Message6:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
					UIShowEquip.Message6:SetText(PlayerEquipement[namePlayerToshow][i].N); 
					UIShowEquip.Message6:SetBackColor(Turbine.UI.Color( 0.9, 0.3, 0.3, 0.3 ));
					UIShowEquip.Message6:SetMarkupEnabled(true);
					-------------------------------------------------------------------------
					-- show to score of the object
					-- took this code from TitanBar Habna plugin
					-------------------------------------------------------------------------
					Wq = 4; -- weight Quality
					Wd = 1; -- weight Durability

					local Durability = 0;
					local Quality = 0;

					if(PlayerEquipement[namePlayerToshow][i].QA ~= nil)then
						Quality = 10*((6-PlayerEquipement[namePlayerToshow][i].QA)%6);
					end

					if(PlayerEquipement[namePlayerToshow][i].DU ~= nil)then
						Durability = PlayerEquipement[namePlayerToshow][i].DU;
					else
						Durability = 0;
					end

					if Durability ~= 0 then
						Durability = 10*((Durability%7)+1);
					end

					local score = math.floor((Wq*Quality*7 + Wd*Durability*5)/(3.5*(Wq + Wd)))
					-------------------------------------------------------------------------

					UIShowEquip.Message=Turbine.UI.Label(); 
					UIShowEquip.Message:SetParent(UIShowEquip.Message6); 
					UIShowEquip.Message:SetSize(20, 10); 
					UIShowEquip.Message:SetPosition(UIShowEquip.Message6:GetWidth()- 20, UIShowEquip.Message6:GetHeight() - 10); 
					UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
					UIShowEquip.Message:SetText(score); 
					UIShowEquip.Message:SetBackColor(Turbine.UI.Color( 0.9, 0.15, 0.15, 0.15 ));
					UIShowEquip.Message:SetMarkupEnabled(true);

					nbrLines = nbrLines + 1;
		--[[
					-- display small label with description
					ButtonPlusCash[i] = Turbine.UI.Extensions.SimpleWindow();
					ButtonPlusCash[i]:SetParent( UIShowEquip );
					ButtonPlusCash[i]:SetPosition(posx + 120 , UIShowEquip:GetHeight() - 450);
					ButtonPlusCash[i]:SetSize( 300, 300 );
					ButtonPlusCash[i]:SetVisible(false);
					ButtonPlusCash[i]:SetZOrder(20);
					ButtonPlusCash[i]:SetBackground(ResourcePath .. "/Cadre_300_300.tga");

					centerLabelCash[i] = Turbine.UI.Label();
					centerLabelCash[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash[i]:SetPosition( 10, 50 );
					centerLabelCash[i]:SetSize( 280, 280 );
					centerLabelCash[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash[i]:SetText( "Description : \n" .. PlayerEquipement[namePlayerToshow][i].D);
					centerLabelCash[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash[i]:SetZOrder(21);

					centerLabelCash2[i] = Turbine.UI.Label();
					centerLabelCash2[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash2[i]:SetPosition( 5, 5 );
					centerLabelCash2[i]:SetSize( 32, 32  );
					centerLabelCash2[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash2[i]:SetText( "" );
					centerLabelCash2[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash2[i]:SetBackground(PlayerEquipement[namePlayerToshow][i].I);
					centerLabelCash2[i]:SetBlendMode( Turbine.UI.BlendMode.Overlay );
					centerLabelCash2[i]:SetZOrder(21);

					centerLabelCash3[i] = Turbine.UI.Label();
					centerLabelCash3[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash3[i]:SetPosition( 40, 5 );
					centerLabelCash3[i]:SetSize( 260, 32  );
					centerLabelCash3[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash3[i]:SetText(PlayerEquipement[namePlayerToshow][i].N );
					centerLabelCash3[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash3[i]:SetZOrder(21);

					centerLabelCash4[i] = Turbine.UI.Label();
					centerLabelCash4[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash4[i]:SetPosition( 10, 50 );
					centerLabelCash4[i]:SetSize( 260, 32  );
					centerLabelCash4[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash4[i]:SetText("Quality : " .. tostring(PlayerEquipement[namePlayerToshow][i].QA) );
					centerLabelCash4[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash4[i]:SetZOrder(21);

					centerLabelCash5[i] = Turbine.UI.Label();
					centerLabelCash5[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash5[i]:SetPosition( 10, 70 );
					centerLabelCash5[i]:SetSize( 260, 32  );
					centerLabelCash5[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash5[i]:SetText("Durability : " .. tostring(PlayerEquipement[namePlayerToshow][i].DU) );
					centerLabelCash5[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash5[i]:SetZOrder(21);

					centerLabelCash6[i] = Turbine.UI.Label();
					centerLabelCash6[i]:SetParent(ButtonPlusCash[i]);
					centerLabelCash6[i]:SetPosition( 10, 90 );
					centerLabelCash6[i]:SetSize( 260, 32  );
					centerLabelCash6[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiqua18);
					centerLabelCash6[i]:SetText("Categorie : " .. tostring(PlayerEquipement[namePlayerToshow][i].CAT) );
					centerLabelCash6[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
					centerLabelCash6[i]:SetZOrder(21);

					itemTmp4.MouseEnter = function()
						ButtonPlusCash[i]:SetVisible(true);
					end

					itemTmp4.MouseLeave = function()
						ButtonPlusCash[i]:SetVisible(false);
					end
			--- end label description
		]]--
				else
					UIShowEquip.Message=Turbine.UI.Label(); 
					UIShowEquip.Message:SetParent(UIShowEquip); 
					UIShowEquip.Message:SetSize(230, 38); 
					UIShowEquip.Message:SetPosition(posx + 50, posy); 
					UIShowEquip.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
					UIShowEquip.Message:SetText(Strings.PluginEquipement2); 
					UIShowEquip.Message:SetForeColor(Turbine.UI.Color.Red);
				end
			end
	else
		UIShowEquip.Message2 =Turbine.UI.Label(); 
		UIShowEquip.Message2:SetParent(UIShowEquip); 
		UIShowEquip.Message2:SetSize(400,50); 
		UIShowEquip.Message2:SetPosition(UIShowEquip:GetWidth()/2 - 200, UIShowEquip:GetHeight() - 50); 
		UIShowEquip.Message2:SetFont(Turbine.UI.Lotro.Font.TrajanProBold36);
		UIShowEquip.Message2:SetForeColor(Turbine.UI.Color.Gold);
		UIShowEquip.Message2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
		UIShowEquip.Message2:SetText(Strings.PluginISeeYou); 
		UIShowEquip:SetZOrder(1000);
		UIShowEquip:SetVisible(false);

		SauronWindow = Turbine.UI.Extensions.SimpleWindow();
		SauronWindow:SetParent( UIShowEquip );
		SauronWindow:SetPosition(UIShowEquip:GetWidth()/2 - 280, UIShowEquip:GetHeight()/2 - 220);
		SauronWindow:SetSize( 560, 435 );
		SauronWindow:SetBackground(ResourcePath .. "Sauron.tga");
		--SauronWindow:SetBackColor(Turbine.UI.Color.Red);
		SauronWindow:SetZOrder(12);
		SauronWindow:SetVisible(true);
	end

	ClosingTheWindowEquipment();
end