------------------------------------------------------------------------------------------
-- Main file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Import librarys --
------------------------------------------------------------------------------------------
import "Homeopatix.AltHolic.Librarys";
------------------------------------------------------------------------------------------
-- Define vars --
------------------------------------------------------------------------------------------
    Player = Turbine.Gameplay.LocalPlayer.GetInstance();
    vaultpack = Player:GetVault();
    sspack = Player:GetSharedStorage();
    walletpack = Player:GetWallet();
    backpack = Player:GetBackpack();
    PlayerName = Player:GetName();
    PlayerAlign = Player:GetAlignment(); --1: Free People / 2: Monster Play
    PlayerLvl = Player:GetLevel();
    PlayerAttr = Player:GetAttributes();
    PlayerAlignement = Player:GetAlignment();
    PlayerEquip = Player:GetEquipment();
    PlayerDestinyP = PlayerAttr:GetDestinyPoints();
    PlayerSexe = {};


    if(PlayerAlignement == 1)then
	    PlayerVoc = PlayerAttr:GetVocation();
    else
        PlayerVoc = 0;
    end

    PlayerClass = Player:GetClass();
    PlayerRace = Player:GetRace();
    PlayerCash = PlayerAttr:GetMoney();


vaultHasBeenUpdated = false;
sharedStorageHasBeenUpdated = false;

LoadSettings();
LoadPlayerDatas();
LoadPlayerEquipment();
LoadPlayerVault();
LoadPlayerBags();
LoadSharedStorage();
LoadPlayerWallet();

PlayerSexe[PlayerName] = PlayerDatas[PlayerName].sexe;


SavePlayerDatas();
SavePlayerBags();
SavePlayerEquipment();
SavePlayerWallet();
settings["sessionCash"]["cashStart"] = PlayerDatas[PlayerName].cash;

------------------------------------------------------------------------------------------
-- Load the datas --
------------------------------------------------------------------------------------------
CreateLocalizationInfo();
------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreateMainWindow(400, 300);
CreateAddNewWindow();
CreateUIShowBag(PlayerName);
CreateUIShowVault(PlayerName);
CreateUIShowEquip(PlayerName, PlayerAlignement);
CreateUIShowSharedStorage();
GenerateOptionsWindow();
CreateUiSearch(nil);
CreateUIShowCash();
CreateUIShowWallet(PlayerName);
GenerateHelpWindow();
GenerateGendreWindow();

settings["isShowBagVisible"]["isShowBagVisible"] = false;
settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = false;
settings["isShowVaultVisible"]["isShowVaultVisible"] = false;
settings["isShowSharedStorageVisible"]["isShowSharedStorageVisible"] = false;
settings["isShowEquipmentVisible"]["isShowEquipmentVisible"] = false;
settings["isShowWalletVisible"]["isShowWalletVisible"] = false;
settings["nameAccount"]["account1"]["isVisible"] = false;
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
UpdateMainWindow();
ClosingTheWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings["isWindowVisible"]["isWindowVisible"] == true)then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings["IconPosition"]["xPosIcon"], settings["IconPosition"]["yPosIcon"]);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings["IconPosition"]["xPosIcon"] = MainMinimizedIcon:GetLeft();
	settings["IconPosition"]["yPosIcon"] = MainMinimizedIcon:GetTop();
end